Yzis - Bug #297

Qyzis on Window fails at startup just after installation
06/26/2008 01:43 PM - Anonymous

Status: Closed Start date: 06/26/2008
Priority: High Due date:

Assignee: Thomas Capricelli % Done: 30%
Category: Windows port Estimated time: 0.00 hour
Target version: 1.0-alpha2

Description

Steps to reproduce:

1. Download the windows installer YzisWindowslnstaller-1.0-alphal.exe

2. Launch it, follow the installer instructions

=>Installation appears to be successful

3. Launch Yzis from Windows' Start menu

=>A popup appears

Popup window title: qyzis.exe - Unable to Locate Component

Message: This application has failed to start because QtXml4.dll was not found. Re-installing the application may fix this problem

| understand this is probably caused by the fact that Qt4 needs to be installed separately ?
If this is the case, the installer should check for it.

History

#1 - 06/26/2008 01:46 PM - Thomas Capricelli
- Status changed from New to Assigned
- Assignee set to Thomas Capricelli

- Priority changed from Normal to High

No, this is indeed a bug and should be fixed.

#2 - 06/27/2008 12:36 AM - Philippe Fremy
- File qyzis-dep.txt added

Attached is the file generated by dependancy walker. 3 libs are missing: magic, iconf and gtxml.

#3 - 06/28/2008 05:13 PM - Thomas Capricelli
- Category set to Windows port

I've uploaded a new version of the installer (alpha1.1) on
http://labs.freehackers.org/projects/list_files/yzis

This one should work (tm).

#4 - 06/28/2008 05:13 PM - Thomas Capricelli
- Target version set to 1.0-alpha2

- % Done changed from 0 to 30

#5 - 06/28/2008 10:28 PM - Philippe Fremy
Try again. :-)
You missed the dependencies of the new DLL: magic1.dll depends on zlib1.dll and pcre3.dIl which you are missing.

Dependancy walker should really help you there, it always shows clearly missing libs.

Anyway, | checked, with those two libraries, qyzis launches.

#6 - 07/08/2008 12:29 PM - Anonymous
http://labs.freehackers.org/projects/list_files/yzis

Hi, I'm the reporter for this bug. Thank you Thomas and Philippe for looking into this, but indeed it doesn't work yet: now it complains about regex2.dll
on start.

Philippe, I'm surprised dependency walker doesn't mention this regex2.dll - maybe there was another update by Thomas between my comment and
yours ?

Regards,
Bruno

#7 - 07/16/2008 07:20 PM - Thomas Capricelli
- Status changed from Assigned to Closed

hopefully YzisWindowslnstaller-1.0-alpha1.2.exe should fix this.
I'm now able to understand how to use dependencies walker (thanks Philippe) and | can reproduce the problem, hence it's easier to fix.

#8 - 07/20/2008 06:47 PM - Philippe Fremy

There were remaining problems in your version but | think | have fixed them all. See latest installer:

http://labs.freehackers.org/projects/list_files/yzis

Files

qyzis-dep.txt 33.1 KB 06/26/2008 Philippe Fremy
